"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      jobDetail: {
        title: "产品经理",
        salary: "20k-30k/月",
        department: "产品研发部 全职",
        location: "浙江线",
        experience: "5-8年",
        benefits: ["五险一金", "节日福利", "股权激励"],
        description: [
          {
            subtitle: "战略规划与执行",
            items: [
              "负责敏锐的行业热点感受性，密切追踪行业动态与趋势，为企业战略决策提供参考。",
              "结心制定企业战略规划，将长期愿景转化为可操作的战略目标，并有效分解为各阶段具体任务。"
            ]
          }
        ]
      }
    };
  },
  onLoad() {
    try {
      const jobDetailStr = common_vendor.index.getStorageSync("currentJobDetail");
      if (jobDetailStr) {
        const jobData = JSON.parse(jobDetailStr);
        this.jobDetail = {
          ...this.jobDetail,
          title: jobData.title || this.jobDetail.title,
          salary: jobData.salary || this.jobDetail.salary,
          department: jobData.department || this.jobDetail.department,
          location: jobData.location || this.jobDetail.location,
          experience: jobData.experience || this.jobDetail.experience,
          benefits: jobData.benefits || this.jobDetail.benefits,
          description: jobData.description || this.jobDetail.description
        };
      }
    } catch (e) {
      console.error("获取职位详情失败:", e);
    }
  },
  methods: {
    startInterview() {
      common_vendor.index.navigateTo({
        url: "/pages/camera/camera"
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.t($data.jobDetail.title),
    b: common_vendor.t($data.jobDetail.salary),
    c: common_vendor.t($data.jobDetail.department),
    d: common_vendor.t($data.jobDetail.location),
    e: common_vendor.t($data.jobDetail.experience),
    f: common_assets._imports_0$2,
    g: common_vendor.f($data.jobDetail.benefits, (benefit, index, i0) => {
      return {
        a: common_vendor.t(benefit),
        b: index
      };
    }),
    h: common_vendor.t($data.jobDetail.description[0].subtitle),
    i: common_vendor.f($data.jobDetail.description[0].items, (item, index, i0) => {
      return {
        a: common_vendor.t(item),
        b: index
      };
    }),
    j: common_vendor.o((...args) => $options.startInterview && $options.startInterview(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-2bde8e2a"]]);
wx.createPage(MiniProgramPage);
